# SAE_2.01

## Jeu de dames
## Louis Guichard Montguers Jules Benier

# Jouer dans le terminal:

Il faudra rentrer 2 noms de joueur avant le lancement de la partie.
Une fois le plateau Afficher pour déplacer un pion il faudra entrer les coordonées de la case du pion que l'on veut déplacer en commençant par la colonne puis la ligne. (la case en haut a gauche a pour coordonées 0:0)
Puis il faudra entrer les coordonées de la case sur laquelle on veut se déplacer.
Pour manger un pion il faudra donc entrer les coordonnées de la case d'arrivé et non du pion que l'on veut manger. 


# Règles:

Le principe du jeu consiste à ‘prendre’ tous les pions adverses.

### Déroulement de la partie:

La partie se déroule sur un tablier de 100 cases (50 blanches et 50 noires). Chaque joueur possède 20 pions qui sont installés sur les quatre premiers rangs du damier au début de la partie (sur les cases noires seulement).

### Déplacement des pions

Les pions se déplacent d’une seule case à la fois, en avant et en diagonale. Les prises des pions adverses s’effectuent en sautant par-dessus, en avant ou en arrière.

Important : La prise est obligatoire. Si plusieurs possibilités de prises se présentent, celle qui offre le plus grand nombre de pions est imposée. Si les prises sont égales, le joueur prend où il veut.

Si l’on a le choix de prendre d’un côté une dame et de l’autre un pion, on n’est pas obligé de tenir compte de la qualité des pièces : on prend selon son intérêt, la dame ou le pion.

Les pions capturés doivent être retirés du tablier une fois le coup joué dans l’ordre normal ou bien inverse de la prise.

### Discipline du jeu

– Une pièce touchée est réputée jouée. Un pion poussé sur une case peut toutefois, s’il n’est pas lâché, être joué sur une autre case. Il en est de même pour la dame.
– Quand on veut mettre ses pièces en ordre, on doit dire ‘j’adoube’ avant de les toucher.- Lorsqu’un coup joué est en contradiction avec les règles, si l’adversaire se trompe de case ou de ligne ou s’il enlève ses propres pièces au cours d’une prise, vous êtes en droit de maintenir l’erreur ou de faire jouer votre adversaire correctement. Mais si vous avez joué à votre tour, vous ne pouvez plus demander réparation. (Le coup fautif est ‘couvert’ par votre propre coup).

### Promotion du pion en Dame

Lorsqu’un pion atteint la dernière ligne du camp adverse, il devient une dame. On le recouvre alors d’un second pion de sa couleur. Si un pion franchit une case du fond au cours d’une prise sans s’arrêter, il demeure un pion. Il peut devenir dame ‘en passant’.

La dame peut se déplacer en avant ou en arrière et se poser à n’importe quelle hauteur sur la ligne du dernier pion capturé.

Elle peut aussi bifurquer sur d’autres diagonales quand il y a d’autres pions à prendre.

### Fin de la partie

Est déclaré vainqueur celui qui a pris le plus grand nombre de pions à son adversaire ou a empêché tout mouvement aux pions adverses. La partie peut être déclarée nulle si les joueurs en viennent à opposer des forces qui rendent les prises quasi impossibles (par exemple, trois dames contre une dame et deux pions, etc.).

# Contexte

L’application que nous allons réaliser est  un jeu de dames desktop à 2 joueurs.
Vous pourrez jouer partout sans connexion et sur un seul écran.
Pas besoin de connaître les règles! Une page de règles sera disponible sur l’application. Débutant ou confirmé tous trouveront leur place.
L’application vous proposera une navigation simple et accessible à tous. 
Lancer une partie , choisissez vos pseudos et vous n’avez plus qu’à jouer! 
Le choix de la couleur est aléatoire alors ne vous prenez pas la tête.
Si vous êtes perdu, pas de panique, un bouton retour sera disponible à tout moment pour revenir au menu principal.

# Sketchs

![image](Partie1/sketchs/menu.svg)
![image](Partie1/sketchs/rules.svg)
![image](Partie1/sketchs/choixnom.svg)
![image](Partie1/sketchs/commence.svg)
![image](Partie1/sketchs/plateau.svg)

# Personnas

![image](Partie1/Personas/Personna%201.png)
![image](Partie1/Personas/Personna%202.png)
![image](Partie1/Personas/Personna%203.png)

# Use case

![image](Partie1/use_case/use_case.drawio.svg)


# User Story

En tant que personne qui n'est pas très à l'aise avec l'informatique, je souhaite avoir une application simple et facile d'accès afin de pouvoir l'utiliser sans aide.

En tant que grand-père , j'aimerai une application qui me permet de jouer avec mes petis enfant afin de passer de bons moments.

En tant que personne découvrant le jeu, je souhaite une application qui peut m'expliquer les règles du jeu afin de pouvoir jouer convenablement et découvrir les subtilités du jeu.

